/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Scale step variables
// Type scaling after http://type-scale.com/ with golden ratio
// Credits: https://gist.github.com/alexorbit/46e30eb16836cf1a911793c49ad10359

$mq-xs: 480px;
$mq-s: 768px;
$mq-m: 1024px;
$mq-l: 1200px;

$ms0: 1;
$ms1: $ratio;        /* 1.2   */
$ms2: $ratio * $ms1; /* 1.44  */
$ms3: $ratio * $ms2; /* 1.728 */
$ms4: $ratio * $ms3; /* 2.074 */
$ms5: $ratio * $ms4; /* 2.488 */
$ms6: $ratio * $ms5; /* 2.986 */
$ms7: $ratio * $ms6; /* 3.583 */
$ms8: $ratio * $ms7; /* 4.2996 */
$ms9: $ratio * $ms8; /* 5,15952 */

body {
  font-size: $base-px * $ms0;
  font-weight: 400;
  line-height: ($base-px * $ms0) * $ratio;
  
  @include smallmobile() {
    font-size: $base-px * $ms1;
    line-height: ($base-px * $ms1) * $ratio;
  }

  @include fullhd() {
    font-size: $base-px * $ms2;
    line-height: ($base-px * $ms2) * $ratio;
  }
}

h6 {
  font-size: $base-px / $ms1;
  line-height: ($base-px / $ms1) * $ratio;
}

h5 {
  font-size: $base-px * $ms0;
  line-height: ($base-px * $ms0) * $ratio;
}

h4 {
  font-size: $base-px * $ms1;
  line-height: ($base-px * $ms1) * $ratio;
}

h3 {
  font-size: $base-px * $ms2;
  line-height: ($base-px * $ms2) * $ratio;

  @include mobile() {
    font-size: $base-px * $ms3;
    line-height: ($base-px * $ms3) * $ratio;
  }
}

h2 {
  font-size: $base-px * $ms3;
  line-height: ($base-px * $ms3) * $ratio;

  @include mobile() {
    font-size: $base-px * $ms4;
    line-height: ($base-px * $ms4) * $ratio;
  }

  @include desktop() {
    font-size: $base-px * $ms5;
    line-height: ($base-px * $ms5) * $ratio;
  }
}

h1 {
  font-size: $base-px * $ms4;
  line-height: ($base-px * $ms4) * $ratio;

  @include mobile() {
    font-size: $base-px * $ms5;
    line-height: ($base-px * $ms5) * $ratio;
  }

  @include desktop() {
    font-size: $base-px * $ms6;
    line-height: ($base-px * $ms6) * $ratio;
  }

  @include largescreen() {
    font-size: $base-px * $ms7;
    line-height: ($base-px * $ms7) * $ratio;
  }
}

//
// The all Typographt style, Titles, Headers, texts and more elements
//

//
//Heading
//

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  color: $default-color;
  margin-top: 0;
}

//
// standout
//

.standout {
  font-size: $base-px * $ms0;
}

//
// P
//
p {
  margin-bottom: $margin-base-y;
  margin-top: $margin-base-y;
}

.small,
small {
  font-size: 80%;
  font-weight: 400;
}

mark,
.mark {
  background-color: $primary;
  border-radius: $global-border-radius;
  color: $white;
  display: inline-block;
  margin: ($margin-sm-y - 2);
  padding: $padding-mark;
}

// Blockquotes
.blockquote {
  font-size: $font-size-lg;
  margin-bottom: $margin-base-y;
}

.blockquote-footer {
  color: $default;
  display: block;
  font-size: 80%; // back to default font-size

  &::before {
    content: '\2014 \00A0'; // em dash, nbsp
  }
}

//
// Lists
//

.list-inline {
  // Inline turns list items into inline-block

  list-style: none;

  &:not(:last-child) {
    margin-right: $margin-sm-x;
  }

  .list-inline-item {
    display: inline-block;
  }


  @each $StyleId, $NameStyle in $style-list {
    &.list-style-#{$NameStyle} {
      list-style: $NameStyle;
      padding-left: 30px;
    }
  }
  
  li {
    margin-bottom: $margin-sm-y; 
  }
  
}

kbd,
code {
  background-color: darken($white, 10%);
  padding: 4px 6px;
}

//
// Abbr
//

/* stylelint-disable */
abbr,
abbr[title] {
  border-bottom: 1px dotted $default-color;
  cursor: help;
  text-decoration: none;
}

/* stylelint-enable */

//
// Defination list style
//

dl dt {
  font-weight: bold;
  margin-bottom: $padding-sm-y;
}

//
// NUIverse hr style
//

hr {
  background-color: #313131;
  height: 2px;
  opacity: 1;
}
